clear
P = 1e5;
L = 1.92;
E = 2.1e11; %Pa
b = 0.03;
h = 0.06;
I = b*h^3/12;
n = 0;
options=optimset('TolX',1e-20);
theta0 = fzero(@(x) func_theta0(x,P,L,E,I,n),1,options);

%theta0 = fminbnd(@(x) (func_theta0(x,P,L,E,I,n))^2,0.,pi/2,options)

alpha = sqrt(P*L^2/E/I);
lambda = sin(theta0)-n*cos(theta0);
eta = sqrt(1+n^2);
gamma = asin(sqrt((eta-n)/(eta+lambda)));
t = sqrt((eta+lambda)/2/eta);

[Fc,Fi,Ec,Ei]= elliptic (gamma,t,2.22e-16);


a =L/(alpha*(eta^(2.5)))*(-n*eta*(Fc-Fi+2*(Ei-Ec))+sqrt(2*eta*(eta+lambda))*cos(gamma));
b =L/(alpha*(eta^(2.5)))*(eta*(Fc-Fi+2*(Ei-Ec))+n*sqrt(2*eta*(eta+lambda))*cos(gamma));

%d = norm([L-a, b]);

%tantheta = integrandHowell(a,P,a,E*I);
%theta = atan(tantheta)
x = 0:a/100:a;

for i=1:length(x)
    
    w(i) = quadgk(@(z)integrandHowell(z,P,a,E*I),0,x(i));
end
% plot(x,w)
