function [J, DN_Dxi, DN_Deta, DN_Dzeta] = fillJacoHexLin (xi,eta,zeta,Coord)

[DN_Dxi,DN_Deta,DN_Dzeta] = fillDerFF3q1(xi, eta, zeta);
J =  zeros(3);
nnod = 8;
for alpha = 1:nnod
    DNalpha_Dxi = DN_Dxi(alpha) ;
    DNalpha_Deta = DN_Deta(alpha) ;
    DNalpha_Dzeta = DN_Dzeta(alpha) ;
    X1alpha = Coord(alpha,1);
    X2alpha = Coord(alpha,2);
    X3alpha = Coord(alpha,3);
    J(1,1) = J(1,1) + DNalpha_Dxi * X1alpha;
    J(1,2) = J(1,2) + DNalpha_Dxi * X2alpha;
    J(1,3) = J(1,3) + DNalpha_Dxi * X3alpha;
    J(2,1) = J(2,1) + DNalpha_Deta * X1alpha;
    J(2,2) = J(2,2) + DNalpha_Deta * X2alpha;
    J(2,3) = J(2,3) + DNalpha_Deta * X3alpha;
    J(3,1) = J(3,1) + DNalpha_Dzeta * X1alpha;
    J(3,2) = J(3,2) + DNalpha_Dzeta * X2alpha;
    J(3,3) = J(3,3) + DNalpha_Dzeta * X3alpha;
end
